//
//  HomeFunctionCell.m
//  redstar
//
//  Created by admin on 15/10/26.
//  Copyright © 2015年 ZWF. All rights reserved.
//

#import "HomeFunctionCell.h"

@implementation HomeFunctionCell
#pragma mark - System Methods
- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        [self setup];
    }
    return self;
}

- (void)awakeFromNib {
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];
    
    // Configure the view for the selected state
}

#pragma mark - Private Methods
- (void)setup
{
    [self.onLineSamplingBtn setTitle:@"在线抽查" forState:UIControlStateNormal];
    [self.wordOfMouthBtn setTitle:@"口碑报告" forState:UIControlStateNormal];
    [self.questionBtn setTitle:@"问题与知识" forState:UIControlStateNormal];
    [self.standardBtn setTitle:@"口碑标准" forState:UIControlStateNormal];
    [self.pictureBtn setTitle:@"图说口碑" forState:UIControlStateNormal];
    [self.caseBtn setTitle:@"优秀案例" forState:UIControlStateNormal];

}


#pragma mark - lazy loading
- (UIButton *)onLineSamplingBtn
{
    if (!_onLineSamplingBtn) {
        _onLineSamplingBtn = [[UIButton alloc] init];
        _onLineSamplingBtn.backgroundColor = [UIColor redColor];
        _onLineSamplingBtn.translatesAutoresizingMaskIntoConstraints = NO;
        [self addSubview:_onLineSamplingBtn];
        
        NSLayoutConstraint *onLineSamplingTop = [NSLayoutConstraint constraintWithItem:_onLineSamplingBtn attribute:NSLayoutAttributeTop relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeTop multiplier:1.0 constant:0];
        [self addConstraint:onLineSamplingTop];
        
        NSLayoutConstraint *onLineSamplingLeft = [NSLayoutConstraint constraintWithItem:_onLineSamplingBtn attribute:NSLayoutAttributeLeft relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeLeft multiplier:1.0 constant:0];
        [self addConstraint:onLineSamplingLeft];
        
        NSLayoutConstraint *onLineSamplingWidth = [NSLayoutConstraint constraintWithItem:_onLineSamplingBtn attribute:NSLayoutAttributeWidth relatedBy:NSLayoutRelationEqual toItem:self.wordOfMouthBtn attribute:NSLayoutAttributeWidth multiplier:1.0 constant:0];
        [self addConstraint:onLineSamplingWidth];
        
        
        NSLayoutConstraint *onLineSamplingHeight = [NSLayoutConstraint constraintWithItem:_onLineSamplingBtn attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:self.standardBtn attribute:NSLayoutAttributeHeight multiplier:1.0 constant:0];
        [self addConstraint:onLineSamplingHeight];
        
        
        
    }
    return _onLineSamplingBtn;
}

- (UIButton *)wordOfMouthBtn
{
    if (!_wordOfMouthBtn) {
        _wordOfMouthBtn = [[UIButton alloc] init];
        _wordOfMouthBtn.backgroundColor = [UIColor brownColor];
        _wordOfMouthBtn.translatesAutoresizingMaskIntoConstraints = NO;

        [self addSubview:_wordOfMouthBtn];
        
        NSLayoutConstraint *wordOfMouthTop = [NSLayoutConstraint constraintWithItem:_wordOfMouthBtn attribute:NSLayoutAttributeTop relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeTop multiplier:1.0 constant:0];
        [self addConstraint:wordOfMouthTop];
        
        NSLayoutConstraint *wordOfMouthRight = [NSLayoutConstraint constraintWithItem:_wordOfMouthBtn attribute:NSLayoutAttributeRight relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeRight multiplier:1.0 constant:0];
        [self addConstraint:wordOfMouthRight];
        
        NSLayoutConstraint *wordOfMouthLeft = [NSLayoutConstraint constraintWithItem:_wordOfMouthBtn attribute:NSLayoutAttributeLeft relatedBy:NSLayoutRelationEqual toItem:_onLineSamplingBtn attribute:NSLayoutAttributeRight multiplier:1.0 constant:0];
        [self addConstraint:wordOfMouthLeft];
        
        NSLayoutConstraint *wordOfMouthHeight = [NSLayoutConstraint constraintWithItem:_wordOfMouthBtn attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:nil attribute:NSLayoutAttributeNotAnAttribute multiplier:1.0 constant:80];
        [self addConstraint:wordOfMouthHeight];
        
    }
    return _wordOfMouthBtn;
}

- (UIButton *)standardBtn
{
    if (!_standardBtn) {
        _standardBtn = [[UIButton alloc] init];
        _standardBtn.backgroundColor = [UIColor blueColor];

        _standardBtn.translatesAutoresizingMaskIntoConstraints = NO;

        [self addSubview:_standardBtn];
        
        NSLayoutConstraint *standardLeft = [NSLayoutConstraint constraintWithItem:_standardBtn attribute:NSLayoutAttributeLeft relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeLeft multiplier:1.0 constant:0];
        [self addConstraint:standardLeft];
        
        
        NSLayoutConstraint *standardWidth = [NSLayoutConstraint constraintWithItem:_standardBtn attribute:NSLayoutAttributeWidth relatedBy:NSLayoutRelationEqual toItem:self.pictureBtn attribute:NSLayoutAttributeWidth multiplier:1.0 constant:0];
        [self addConstraint:standardWidth];
        
        
        NSLayoutConstraint *standardTop = [NSLayoutConstraint constraintWithItem:_standardBtn attribute:NSLayoutAttributeTop relatedBy:NSLayoutRelationEqual toItem:self.onLineSamplingBtn attribute:NSLayoutAttributeBottom multiplier:1.0 constant:0];
        [self addConstraint:standardTop];
        
        NSLayoutConstraint *standardBottom = [NSLayoutConstraint constraintWithItem:_standardBtn attribute:NSLayoutAttributeBottom relatedBy:NSLayoutRelationEqual toItem:self.questionBtn attribute:NSLayoutAttributeTop multiplier:1.0 constant:0];
        [self addConstraint:standardBottom];
        
    }
    return _standardBtn;
}

- (UIButton *)pictureBtn
{
    if (!_pictureBtn) {
        _pictureBtn = [[UIButton alloc] init];
        _pictureBtn.backgroundColor = [UIColor grayColor];

        _pictureBtn.translatesAutoresizingMaskIntoConstraints = NO;

        [self addSubview:_pictureBtn];
        
        NSLayoutConstraint *pictureLeft = [NSLayoutConstraint constraintWithItem:_pictureBtn attribute:NSLayoutAttributeLeft relatedBy:NSLayoutRelationEqual toItem:_standardBtn attribute:NSLayoutAttributeRight multiplier:1.0 constant:0];
        [self addConstraint:pictureLeft];
       
        
        NSLayoutConstraint *pictureRight = [NSLayoutConstraint constraintWithItem:_pictureBtn attribute:NSLayoutAttributeRight relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeRight multiplier:1.0 constant:0];
        [self addConstraint:pictureRight];
        
        NSLayoutConstraint *pictureTop = [NSLayoutConstraint constraintWithItem:_pictureBtn attribute:NSLayoutAttributeTop relatedBy:NSLayoutRelationEqual toItem:self.wordOfMouthBtn attribute:NSLayoutAttributeBottom multiplier:1.0 constant:0];
        [self addConstraint:pictureTop];
        
        NSLayoutConstraint *pictureBottom = [NSLayoutConstraint constraintWithItem:_pictureBtn attribute:NSLayoutAttributeBottom relatedBy:NSLayoutRelationEqual toItem:self.caseBtn attribute:NSLayoutAttributeTop multiplier:1.0 constant:0];
        [self addConstraint:pictureBottom];
        
    }
    return _pictureBtn;
}

- (UIButton *)questionBtn
{
    if (!_questionBtn) {
        _questionBtn = [[UIButton alloc] init];
        _questionBtn.backgroundColor = [UIColor blackColor];

        _questionBtn.translatesAutoresizingMaskIntoConstraints = NO;
        [self addSubview:_questionBtn];
        
        NSLayoutConstraint *questionWidth = [NSLayoutConstraint constraintWithItem:_questionBtn attribute:NSLayoutAttributeWidth relatedBy:NSLayoutRelationEqual toItem:_caseBtn attribute:NSLayoutAttributeWidth multiplier:1.0 constant:0];
        [self addConstraint:questionWidth];
        
        NSLayoutConstraint *questionLeft = [NSLayoutConstraint constraintWithItem:_questionBtn attribute:NSLayoutAttributeLeft relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeLeft multiplier:1.0 constant:0];
        [self addConstraint:questionLeft];
        
        NSLayoutConstraint *questionBottom = [NSLayoutConstraint constraintWithItem:_questionBtn attribute:NSLayoutAttributeBottom relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeBottom multiplier:1.0 constant:0];
        [self addConstraint:questionBottom];
        
        NSLayoutConstraint *questionHeight = [NSLayoutConstraint constraintWithItem:_questionBtn attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:_standardBtn attribute:NSLayoutAttributeHeight multiplier:1.0 constant:0];
        [self addConstraint:questionHeight];
    }
    return _questionBtn;
}

- (UIButton *)caseBtn
{
    if (!_caseBtn) {
        _caseBtn = [[UIButton alloc] init];
        _caseBtn.backgroundColor = [UIColor purpleColor];

        _caseBtn.translatesAutoresizingMaskIntoConstraints = NO;

        [self addSubview:_caseBtn];
        
        NSLayoutConstraint *caseLeft = [NSLayoutConstraint constraintWithItem:_caseBtn attribute:NSLayoutAttributeLeft relatedBy:NSLayoutRelationEqual toItem:self.questionBtn attribute:NSLayoutAttributeRight multiplier:1.0 constant:0];
        [self addConstraint:caseLeft];
        
        NSLayoutConstraint *caseRight = [NSLayoutConstraint constraintWithItem:_caseBtn attribute:NSLayoutAttributeRight relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeRight multiplier:1.0 constant:0];
        [self addConstraint:caseRight];
        
        NSLayoutConstraint *caseHeight = [NSLayoutConstraint constraintWithItem:_caseBtn attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:nil attribute:NSLayoutAttributeNotAnAttribute multiplier:1.0 constant:80];
        [self addConstraint:caseHeight];
        
        NSLayoutConstraint *caseBottom = [NSLayoutConstraint constraintWithItem:_caseBtn attribute:NSLayoutAttributeBottom relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeBottom multiplier:1.0 constant:0];
        [self addConstraint:caseBottom];
        
    }
    return _caseBtn;
}


@end
